package com.yihu.jw.utils.dzqm;

public class SignPictureServiceProxy implements SignPictureService {
  private String _endpoint = null;
  private SignPictureService signPictureService = null;
  
  public SignPictureServiceProxy() {
    _initSignPictureServiceProxy();
  }
  
  public SignPictureServiceProxy(String endpoint) {
    _endpoint = endpoint;
    _initSignPictureServiceProxy();
  }
  
  private void _initSignPictureServiceProxy() {
    try {
      signPictureService = (new SignPictureServiceImplServiceLocator()).getSignPictureServiceImplPort();
      if (signPictureService != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)signPictureService)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)signPictureService)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (signPictureService != null)
      ((javax.xml.rpc.Stub)signPictureService)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public SignPictureService getSignPictureService() {
    if (signPictureService == null)
      _initSignPictureServiceProxy();
    return signPictureService;
  }
  
  public String SOF_GetSignPicture(String sys, String idNumber, String idType, String picType) throws java.rmi.RemoteException{
    if (signPictureService == null)
      _initSignPictureServiceProxy();
    return signPictureService.SOF_GetSignPicture(sys, idNumber, idType, picType);
  }
  
  
}